=== debian/changelog ===
dolphin (4:18.08.0-1+rb1) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 19 Jan 2021 14:15:37 +0800

dolphin (4:18.08.0-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.04.1).
  * Update build-deps and deps with the info from cmake
  * Update copyright file for new upstream.

  [ Pino Toscano ]
  * New upstream release.
  * Bump the libkf5baloowidgets-dev build dependency to >= 18.08.0, as
    indicated by the upstream build system
  * Bump Standards-Version to 4.2.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Thu, 06 Sep 2018 07:56:14 +0200
