=== debian/control ===
Source: dolphin
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-kf5-dev (>= 4.97~) [!hurd-any],
               cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.43.0~),
               kinit-dev (>= 5.43.0~),
               libkf5activities-dev (>= 5.43.0~),
               libkf5baloowidgets-dev (>= 4:18.08.0~) [!hurd-any],
               libkf5bookmarks-dev (>= 5.43.0~),
               libkf5completion-dev (>= 5.43.0~),
               libkf5config-dev (>= 5.43.0~),
               libkf5coreaddons-dev (>= 5.43.0~),
               libkf5crash-dev (>= 5.43.0~),
               libkf5dbusaddons-dev (>= 5.43.0~),
               libkf5doctools-dev (>= 5.43.0~),
               libkf5filemetadata-dev (>= 5.19.0~),
               libkf5i18n-dev (>= 5.43.0~),
               libkf5iconthemes-dev (>= 5.43.0~),
               libkf5kcmutils-dev (>= 5.43.0~),
               libkf5kdelibs4support-dev (>= 5.43.0~),
               libkf5kio-dev (>= 5.43.0~),
               libkf5newstuff-dev (>= 5.43.0~),
               libkf5notifications-dev (>= 5.43.0~),
               libkf5parts-dev (>= 5.43.0~),
               libkf5solid-dev (>= 5.43.0~),
               libkf5textwidgets-dev (>= 5.43.0~),
               libkf5windowsystem-dev (>= 5.21.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.8.0~),
Standards-Version: 4.2.1
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/dolphin
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/dolphin.git

Package: dolphin
Section: utils
Architecture: any
Depends: baloo-kf5, kinit, ${misc:Depends}, ${shlibs:Depends}
Recommends: kimageformat-plugins, kio-extras, ruby
Suggests: dolphin-plugins
Breaks: dolphin-plugins (<< 4:17.08), ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: file manager
 Dolphin is the default file manager in the Plasma, intended
 to be both powerful and easy to use.
 .
 Features include:
   Customisable sidebars
   "Breadcrumb" navigation
   View properties remembered for each folder
   Split views
   Network transparency
   Undo/redo functionality
   Ratings, comments, and tags

Package: dolphin-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Breaks: dolphin (<< 4:15.07.90+git20150819.0900)
Replaces: dolphin (<< 4:15.07.90+git20150819.0900)
Description: file manager - development files
 Contains DBus interface XML files to access dolphin via the DBus
 org.freedesktop.FileManager1 interface.

Package: libdolphinvcs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libdolphinvcs5 (= ${binary:Version}),
         libkf5kio-dev (>= 5.43.0~),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
Breaks: dolphin (<< 4:15.07.90+git20150819.0900)
Replaces: dolphin (<< 4:15.07.90+git20150819.0900)
Description: library to show version control in Dolphin - development files
 This library enables developers to expand Dolphin with the ability to show
 version control status in directories that are version controlled.

Package: libdolphinvcs5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: dolphin (<< 4:15.07.90+git20150819.0900), dolphin-plugins (<< 4:17.08)
Replaces: dolphin (<< 4:15.07.90+git20150819.0900)
Description: library to show version control in Dolphin
 This library enables developers to expand Dolphin with the ability to show
 version control status in directories that are version controlled.
