## dolphin 18.12.3

=== debian/changelog ===
dolphin (4:18.12.3-0ubuntu2) disco; urgency=medium

  * Disable erroneously failing test with Qt 5.12.2
    KDE Bug: https://bugs.kde.org/show_bug.cgi?id=406163
  * Refresh kubuntu_disable-failing-tests.patch

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 02 Apr 2019 22:22:08 +0100

dolphin (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:24:40 +0000

dolphin (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:12:07 +0000

dolphin (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:07:43 +0000

dolphin (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * Install .categories file.
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:46:24 +0000

dolphin (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - d/patches: kubuntu_disable-failing-tests.patch
    - d/tests: Kubuntu autopkgtest setup.
    - d/control: Kubuntu Vcs fields.
    - d/control: Additional recommends: ffmpegthumbs, kdegraphics-thumbnailers
    - d/control: Bumped build deps.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Dec 2018 13:21:26 +0000
