=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: baloo-kf5-dev (>= 4.97~) [!hurd-any],
+Build-Depends: baloo-kf5-dev (>= 5.31.0~),
                cmake (>= 3.0~),
                debhelper (>= 11~),
                extra-cmake-modules (>= 5.43.0~),
                kinit-dev (>= 5.43.0~),
                libkf5activities-dev (>= 5.43.0~),
-               libkf5baloowidgets-dev (>= 4:18.08.0~) [!hurd-any],
+               libkf5baloowidgets-dev (>= 4:18.12.3~) [!hurd-any],
                libkf5bookmarks-dev (>= 5.43.0~),
                libkf5completion-dev (>= 5.43.0~),
                libkf5config-dev (>= 5.43.0~),
@@ -36,15 +36,15 @@
                qtbase5-dev (>= 5.8.0~),
 Standards-Version: 4.2.1
 Homepage: http://www.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/dolphin
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/dolphin.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin
 
 Package: dolphin
 Section: utils
 Architecture: any
 Depends: baloo-kf5, kinit, ${misc:Depends}, ${shlibs:Depends}
-Recommends: kimageformat-plugins, kio-extras, ruby
-Suggests: dolphin-plugins
+Recommends: kimageformat-plugins, kio-extras, ffmpegthumbs, kdegraphics-thumbnailers, ruby
+Suggests: dolphin-plugins, go-mtpfs
 Breaks: dolphin-plugins (<< 4:17.08), ${kde-l10n:all}
 Replaces: ${kde-l10n:all}
 Description: file manager
