## dolphin 19.04.3

=== debian/changelog ===
dolphin (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:10:21 +0100

dolphin (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 14:59:00 +0100

dolphin (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:54:25 +0100

dolphin (4:19.04.0-0ubuntu2) eoan; urgency=medium

  * Partially revert dropping kubuntu_disable-failing-tests.patch as
    upstream did not fix all tests.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 28 Apr 2019 12:31:07 +0100

dolphin (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)
  * Drop kubuntu_disable-failing-tests.patch as test fixed upstream.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:39:45 +0100
