=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                extra-cmake-modules (>= 5.43.0~),
                kinit-dev (>= 5.43.0~),
                libkf5activities-dev (>= 5.43.0~),
-               libkf5baloowidgets-dev (>= 4:18.12.3~) [!hurd-any],
+               libkf5baloowidgets-dev (>= 4:19.04.3~) [!hurd-any],
                libkf5bookmarks-dev (>= 5.43.0~),
                libkf5completion-dev (>= 5.43.0~),
                libkf5config-dev (>= 5.43.0~),
@@ -64,7 +64,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Breaks: dolphin (<< 4:15.07.90+git20150819.0900)
 Replaces: dolphin (<< 4:15.07.90+git20150819.0900)
 Description: file manager - development files
