## dolphin 19.08.1

=== debian/changelog ===
dolphin (4:19.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump almost all the KF5 packages to 5.57.0
    - bump libkf5baloowidgets-dev to 4:19.07.70
    - explicitly add the gettext build dependency
    - drop libkf5kdelibs4support-dev
    - update dependencies in -dev packages too
  * Remove dolphin breaks/replaces on a version older than oldstable.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Drop the migration from dolphin-dbg, no more needed after two Debian
    stable releases.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Stop recommending ruby, as the ruby script was replaced by a C++ tool.
  * Update install files.
  * Add Build-Depends-Package in the symbols file.
  * Update lintian overrides.
  * Stop breaking the older versions of dolphin-plugins, it should be no more
    needed now.

 -- Pino Toscano <pino@debian.org>  Fri, 27 Sep 2019 08:05:23 +0200
