=== debian/changelog ===
dolphin (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:04:27 +0000

dolphin (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:16:12 +0000

dolphin (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:50:05 +0000

dolphin (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:43:35 +0000

dolphin (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:28:27 +0000

dolphin (4:19.08.1-1ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Additional recommends on ffmpegthumbs & kdegraphics-thumbnailers
    - Pass -fno-keep-inline-functions to acc test.

 -- Rik Mills <rikmills@kde.org>  Tue, 05 Nov 2019 21:17:27 +0000

dolphin (4:19.04.3-0ubuntu2) focal; urgency=medium

  * Sync Debian test changes:
    - Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
      are not run at build time anyway.
    - Drop the 'testsuite' autopkgtest, as it does not test the installed
      packages.
  * Drop kubuntu_disable-failing-tests.patch

 -- Rik Mills <rikmills@kde.org>  Mon, 28 Oct 2019 23:18:19 +0000
