=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                gettext,
                kinit-dev (>= 5.57.0~),
                libkf5activities-dev (>= 5.57.0~),
-               libkf5baloowidgets-dev (>= 4:19.07.70~) [!hurd-any],
+               libkf5baloowidgets-dev (>= 4:19.12.3~) [!hurd-any],
                libkf5bookmarks-dev (>= 5.57.0~),
                libkf5completion-dev (>= 5.57.0~),
                libkf5config-dev (>= 5.57.0~),
@@ -36,15 +36,15 @@
                qtbase5-dev (>= 5.8.0~),
 Standards-Version: 4.4.0
 Homepage: http://www.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/dolphin
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/dolphin.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin
 
 Package: dolphin
 Section: utils
 Architecture: any
 Depends: baloo-kf5, kinit, ${misc:Depends}, ${shlibs:Depends}
-Recommends: kimageformat-plugins, kio-extras
-Suggests: dolphin-plugins
+Recommends: kimageformat-plugins, kio-extras, ffmpegthumbs, kdegraphics-thumbnailers
+Suggests: dolphin-plugins, go-mtpfs
 Breaks: ${kde-l10n:all}
 Replaces: ${kde-l10n:all}
 Description: file manager
@@ -64,7 +64,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: file manager - development files
  Contains DBus interface XML files to access dolphin via the DBus
  org.freedesktop.FileManager1 interface.
