## dolphin 20.08.2

=== debian/changelog ===
dolphin (4:20.08.2-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (20.08.2).
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.71.0
    - add libpackagekitqt5-dev
  * servicemenu.knsrc moved from /etc/xdg to /usr/share/knsrcfiles, handle
    config file removal.
  * Refresh copyright information.
  * Borrow minimal upstream signing key from k3b.
  * Build with hardening=+all build hardening flag.
  * Refresh upstream metadata.
  * Bump the debhelper compatibility to 13.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 26 Oct 2020 16:31:27 +0100

dolphin (4:20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 31 Jul 2020 07:22:56 +0200

dolphin (4:20.04.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.11.0
    - bump KF packages to 5.67.0
    - bump libkf5baloowidgets-dev to 4:20.04.0
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
    - manually force the generation of the substvars for the kde-l10n breaks,
      and the strict shlibs handling
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Fri, 12 Jun 2020 16:12:32 +0200
